%define	name	arena
%define	version	0.2.0
%define release	%mkrel 1
%define	Summary	An OpenGL Asteroids clone based on ClanLib.

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.gla55pak.com/lameduckie/02june/asteroidarena/
Group:		Games/Arcade
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
BuildRequires:	clanlib0.8-devel 
BuildRequires:	MesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Asteroid Arena is a simple Asteroids clone that uses OpenGL and the
ClanLib programming library. It features pretty graphics, somewhat-realistic
particle interactions, powerups, UFO opponents and many other things.
The object is to simply shoot asteroids and UFOs for points. Once you've
cleared all the asteroids in a level, you move on. The asteroids grow more
numerous and the asteroid fragments begin to speed up.
If you hit something with 75% or more of your shots,
you get a special accuracy award. 

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
#ugly perl fix for making arena look in the datadir for resource.xml
perl -pi -e 's!resource.xml!%{_gamesdatadir}/%{name}/resource.xml!g' src/Resource.h
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}
install -D -m644 src/resource.xml $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/resource.xml
cp -a src/img $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Asteroids Arena
Comment=%Summary
Exec=%{_gamesbindir}/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sun Sep 02 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 78091
- Remove redundant BuildRequires on clanlib binary components
- New version, port to clanlib0.8

* Tue Aug 28 2007 Crispin Boylan <crisb@mandriva.org> 0.1.0-9mdv2008.0
+ Revision: 73264
- xdg menu
- Import arena



* Fri Apr 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.0-8mdk
- rebuild
- fix buildrequires (lib64..)
- don't bzip2 icons in .src.rpm
- change summary macro to avoid possible conflicts if we were to build debug package
- clean %%doc

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-7mdk
- added libMesaGLU-devel to BuildRequires

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-6mdk
- added libhermes-devel to BuildRequires

* Sat Mar 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-5mdk
- Rebuild against new clanlib
- Updated BuildRequires

* Mon Mar 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.0-4mdk
- rebuild

* Thu Feb 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-3mdk
- Corrected BuildRequires

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-2mdk
- Corrected description and menuname

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-1mdk
- Initial release
